/*
 * *********************************************************************************************************************
 *
 *          !!
 *        .F88X
 *        X8888Y
 *      .}888888N;
 *        i888888N;        .:!              .I$WI:
 *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
 *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
 *            +888888N;  .8888888Y                                  "&&8Y.}8,
 *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
 *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
 *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
 *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
 *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
 *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
 *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
 *      .:R888888I
 *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
 *        ~8888'
 *        .!88~                                                                     All rights reserved.
 *
 * *********************************************************************************************************************
 */

package com.persagy.server.service

import com.google.gson.Gson
import com.google.gson.reflect.TypeToken
import com.persagy.base.extensions.toJson
import com.persagy.server.dao.mappers.CustomSql
import com.persagy.server.dao.mappers.EquipmentZoneMapper
import com.persagy.server.models.SimilarityDegree
import org.slf4j.LoggerFactory
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Service
import java.lang.reflect.Type

@Service
class EquipmentZoneService {

    companion object {
        /** 日志 */
        private val logger = LoggerFactory.getLogger(EquipmentZoneService::class.java)

    } // Companion object


    @Autowired
    lateinit var equipZoneMapper : EquipmentZoneMapper

    @Autowired
    lateinit var mapperCustomSql : CustomSql

    fun getEquipIdUnderSpace(projectId : String, zoneType : String?, zoneId : String?) : ArrayList<String>{
        return equipZoneMapper.selectEquipUnderSpace(projectId, zoneType, zoneId)
    }



    fun selectAllEquipsUnderSpace(projectId : String) : ArrayList<String>{
        return equipZoneMapper.selectAllEquipsUnderSpace(projectId)

    }


    fun similars(){
        try {
            val list = ArrayList<String>()
            list.add("北京市")
            list.add("上海-市")
            list.add("田径 是")
            val similarList = equipZoneMapper.similar("北 京", list,2,0.9f)
            val gson = Gson()
            val type: Type = object : TypeToken<List<SimilarityDegree>>() {}.getType()
            val lists: List<SimilarityDegree> = gson.fromJson(similarList, type)

                logger.debug("数据输出=${lists.toJson()}")

            val map = HashMap<String,String>()
            map.put("name","435")
            logger.debug("数据输出000=${map.toJson()}")
        } catch (e: Exception) {
            e.printStackTrace()
        }
    }



}